For the complete documentation index, see llms.txt. This page is also available as Markdown.

List parameters for a tenant payment method

List parameters for a tenant payment method.

get
/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tenantPaymentMethodUidstringRequired

Reference to a tenant PaymentMethodUid.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

Responses
200Success
application/json
get/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters
GET /v2/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "items": [
    {
      "tenantPaymentMethodParameterUid": "text",
      "name": "text",
      "description": "text",
      "required": true,
      "key": "text",
      "type": "TEXT",
      "regex": "text",
      "position": 1,
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?